Is your software supported?

As year end is approaching, we want to be sure you are on a supported version for your Sage 100 Contractor software. Sage will not support versions earlier than 19.2 for 2015 year end. 

If you need to upgrade, check out the Sage Knowledgebase article ID 31091 in the Sage Portal to get the latest version and update. If you have further questions or would like a consultant's assistance, give us a call at 800-458-7369!